body {
    background-color: #fff;
    color: #666;
    font-family: sans-serif;
    font-weight: inherit;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
}

body.development {
    border-top: 5px solid #af0b0b;
}

#development {
    background-color: #af0b0b;
    color: #EBEFED;
    font-size: 12px;
    line-height: 16px;
    font-family: monospace;
    padding: 4px;
    position: absolute;
    top: -20px;
    left: 20px;
    transform: rotate(90deg);
    transform-origin: top left;
    cursor: help;
    border-left: 20px solid #af0b0b;
}

#development:hover {
    top: 0px;
    left: -20px;
    transform: rotate(0deg);
    transition: all .1s ease-in;
}

#development>div {
    text-align: center;
    border-bottom: 1px solid #fff;
    ;
}

#development a {
    color: #fff !important;
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
}

header #logo img {
    max-width: 90vw;
    height: 4rem;
}

header h1 {
    visibility: hidden;
    display: none;
}

header h2 {
    font-size: 16px;
    line-height: 22px;
    letter-spacing: .4em;
    color: #21231c;
    margin: -2px 0 0;
    pointer-events: none;
    font-family: basic-sans, sans-serif;
    text-transform: uppercase;
    -webkit-font-smoothing: antialiased;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    font-weight: 400;
}

header .baseline {
    font-family: paradise;
    font-size: 50px;
    color: #659659;
    margin: 11px 0 0;
}

header .baseline.cl2{
    color: #6fc0e5;
}

header .baseline.cl15{
    color: #1a75b2;
}


header .grid {
    display: flex;
    justify-content: space-around;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
}

header a,
header a:visited {
    color: #EBEFED;
    padding: 0 0.5rem;
}

header a:hover {
    color: #fff;
    text-decoration: none;
}

footer {
    background: #21231c;
    color: #fff;
    overflow: hidden;
    margin: 100px 0 0;
    min-height: 300px;
    padding: 25px 0 36px;
    font-size: 1rem;
    line-height: 1.6rem;
}

footer h2 {
    font-weight: 400;
    font-size: 18px;
    margin: 6px 0 11px;
    color: #bdbdbd;
}

footer a, footer a:visited {
    color: #fff;
}

footer .grid {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
}

footer .logo {
    flex: 1 0 25%;
}

footer .logo img {
    max-width: 90%;
    max-height: 80px;
}

footer .address {
    flex: 1 0 25%;
    min-width: 250px;
}

footer .contact {
    flex: 1 0 25%;
    min-width: 250px;
    display: flex;
    flex-direction: column;
}

footer .copyright {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 10px;
    padding-top: 20px;
    min-height: 50px;
    border-top: 1px solid rgb(255 255 255 / 10%);
    flex-basis: 100%;
    opacity: .5;
}

footer .copyright span {
    margin-left: auto;
}

@media only screen and (min-width: 750px) {
    footer .copyright {
        flex-direction: row;
    }

    footer a:not(:first-child)::before {
        content: "|";
        padding-right: 5px;
    }
}

footer a:hover,
footer a:active {
    color: #fff;
}

a,
a:visited {
    color: #37644e;
}

a:hover {
    color: #0c2e44;
}

h1 {
    color: #1C1C1C;
    font-family: sans-serif;
    font-size: 34px;
    font-weight: 700;
    line-height: 60px;
    margin-bottom: 2rem;
}

h2 {
    font-family: sans-serif;
    color: #1C1C1C;
    font-size: 24px;
    font-weight: 700;
    line-height: 33px;
}


textarea {
    resize: vertical;
}

table td {
    padding: .1rem .3rem;
}

#main {
    background-color: #fff;
    padding: 3rem;
    max-width: 900px;
    margin: 3rem auto;
    position: relative;
}


#main label {
    font-weight: bold;
    margin-top: 1rem;
}

#main .row {
    margin-bottom: 1.8rem;
}

#availability {
    margin-top: 2rem;
}

#datepicker label {
    padding-bottom: .7rem;
}

#datepicker span.until {
    position: absolute;
    top: 2.3rem;
    left: 1rem;
    font-size: .9rem;
    display: block;
    opacity: 0.6;
}

#languagepicker {
    position: absolute;
    top: 2rem;
    right: 2rem;
    display: flex;
    flex-direction: column;
    opacity: 0.2;
    transition: all .1s ease-in-out;
    margin-right: 2rem;
}

#languagepicker:hover {
    opacity: 1;
}

#languagepicker .lang {
    color: #000;
    display: block;
    background-repeat: no-repeat;
    background-size: 1.2rem;
    background-position: right .6rem center;
    padding: .2rem 3rem .2rem .6rem;
    text-decoration: none;
    line-height: 2rem;
    position: relative;
}

#languagepicker .picker .lang:hover {
    background-color: #f2f2f2;
}

#languagepicker .picker {
    box-shadow: 0 0 5px 1px rgb(0 0 0 /15%);
    border-radius: .5rem;
    overflow: hidden;
    z-index: 5;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    background-color: white;
}

#languagepicker:hover .picker {
    opacity: 1;
    visibility: visible;
}

#languagepicker .lang.selected::after {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    content: '';
    position: absolute;
    top: .5rem;
    left: 100%;
    padding-left: 2rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='currentColor' d='M207.029 381.476L12.686 187.132c-9.373-9.373-9.373-24.569 0-33.941l22.667-22.667c9.357-9.357 24.522-9.375 33.901-.04L224 284.505l154.745-154.021c9.379-9.335 24.544-9.317 33.901.04l22.667 22.667c9.373 9.373 9.373 24.569 0 33.941L240.971 381.476c-9.373 9.372-24.569 9.372-33.942 0z'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center center;
}

#languagepicker .lang.de {
    background-image: url(images/de.svg);
}

#languagepicker .lang.en {
    background-image: url(images/gb.svg);
}

#languagepicker .lang.fr {
    background-image: url(images/fr.svg);
}

.btn-primary {
    color: #fff !important;
    background-color: #00354C;
    border-color: #00354C;
}

.btn-primary:not(:disabled):not(.disabled):hover,
.btn-primary:not(:disabled):not(.disabled):active {
    background-color: #0c2e44;
    border-color: #0c2e44;
}

.btn-primary.focus,
.btn-primary:focus {
    box-shadow: 0 0 0 0.2rem rgb(0 150 136 / 50%);
}

.btn-submit svg {
    height: 1em;
}

.form-control {
    border: 1px solid #ccc
}

.form-control.flatpickr {
    background-color: inherit !important;
}

.form-control:focus {
    outline: 0;
    border-color: inherit;
}

.form-control:focus:invalid {
    border-color: #900;
}

.days {
    display: flex;
    flex-wrap: wrap;
    margin: 1rem;
}

.days .day {
    padding: 0.2rem;
}

.days .day .amount {
    font-weight: bold;
}

.category {
    display: flex;
    flex-wrap: wrap;
}

.category.loading {
    height: 0;
    opacity: 0;
    margin: 0 !important;
    padding: 0 !important;
    overflow: hidden;
}

.category:not(:last-child) {
    margin-bottom: 4rem;
    padding-bottom: 2rem;
}

.category .images-wrap {
    flex: 1 1 400px;
    margin: 0 2rem 0 0;
}

.category .images {
    position: relative;
}

.category .images figure {
    width: 100%;
    background: #fff;
    text-align: center;
    margin: 0;
}

.category .images img {
    max-width: 100%;
    max-height: 100%;
}

.category .details {
    flex: 1 1 300px;
}

.category .details .amount {
    float: right;
    line-height: 33px;
}

.category .description {
    margin-bottom: 1rem;
    padding-bottom: 1rem;
}

.category .rates {
    flex: 0 0 100%;
    margin-top: 1rem;
}

summary {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    justify-items: baseline;
    outline: none !important;
    padding: 0.5rem 1rem;
    line-height: 36px;
}

summary::marker {
    display: none;
}

summary::-webkit-details-marker {
    display: none;
}

details .rate::before {
    content: "";
    flex-shrink: 0;
    width: 36px;
    height: 36px;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23212529'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-size: 20px;
    background-position: 50% 50%;
    transform: rotate(-90deg);
    transition: transform .15s ease-in-out;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
}

details[open] .rate::before {
    transform: rotate(0deg);
}

details .rate {
    font-weight: bold;
    position: relative;
    padding-left: 36px;
}

.category-toggle {
    display: none;
}

.description .text {
    overflow: hidden;
    transition: all .3s cubic-bezier(0.65, 0.05, 0.36, 1)
}

.description .expand {
    display: block;
    cursor: pointer;
    font-weight: bold;
    user-select: none;
}

.reservation-summary {
    margin-bottom: 1rem;
}

.message.reservation-success>div {
    font-size: 120%;
    font-weight: bold;
    color: #659659 !important;
}

.message.promo {
    font-weight: bold;
    font-size: 1.15rem;
    margin-top: -1rem;
    margin-bottom: 2rem;
}

.message.promo.success {
    color: #659659 !important;
}

.message.reservation-success>div {
    color: #659659 !important;
}

.message.promo.warning {
    color: #e48512;
}

.days {
    font-size: 12px;
    line-height: 26px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(14.2%, 100px));
}

.days.availability {
    font-size: 1rem;
    text-align: center;
}

.days.availability .day {
    padding: .15rem .5rem;
}

.days.availability .day:first-of-type {
    border-left: 1px solid #e8e8e8;
}

.days.availability .day:last-of-type {
    border-right: 1px solid #e8e8e8;
}

.days.availability .day+.day {
    border-left: 1px solid #e8e8e8;
}

.days.availability .day>.label {
    font-weight: bold;
    padding-bottom: .5rem;
}

.days.availability .available>span {
    color: #659659;
}

.days.availability .unavailable>span {
    color: #EE914C;
}

.days.rates .day {
    border: 0;
    text-align: right;
    padding: 0;
}

.days.rates .day>div {
    padding: 0px 5px;
}

.days.rates .label {
    font-weight: bold;
    border-bottom: 1px solid #e8e8e8;
}

.days .rate-total {
    border-top: 1px solid #e8e8e8;
}

.days .rate-total {
    font-weight: bold;
}

dl dd:not(:first-of-type) {
    border-top: 1px solid #e8e8e8;
}

dd:nth-of-type(odd) {
    background: #fff !important;
}

.info {
    border-top: 1px solid #21231c;
    font-weight: 600;
    margin: 4rem 0 0;
    padding: 1rem 0 0;
}

.unavailable {
    margin-left: auto;
}

.unavailable span {
    color: #EE914C;
    font-weight: 600;
    font-size: 90%;
    padding: 0 .5rem;
}

.arrow {
    position: absolute;
    top: 50%;
    width: 50px;
    height: 50px;
    line-height: 50px;
    font-size: 30px;
    color: #fff;
    background: #02010152;
    left: 0;
    margin-top: -25px;
    cursor: pointer;
    text-align: center;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

.images.zoom .arrow {
    transform: scale(0.6);
    transform-origin: top left;
}

.images.zoom .arrow.next {
    transform-origin: top right;
}

.arrow svg {
    height: 30px;
    width: auto;
}

.arrow svg path {
    fill: currentColor;
}

.arrow.next {
    left: auto;
    right: 0;
}

.arrow.next svg {
    transform: scaleX(-1);
}

.images:not(.slider) figure:not(:first-of-type) {
    display: none;
}

.images.slider {
    user-select: none;
}

.images.slider figure {
    animation: opac 0.6s;
    cursor: zoom-in;
}

.images.slider.zoom {
    transform: scale(1.86);
    transform-origin: top left;
    position: relative;
    z-index: 3;
    cursor: zoom-out;
    background-color: #fff;
}

.images.slider figure.hidden {
    display: none;
}


#loading {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1.2rem;
    padding: 2rem 0;
    color: #dedede;
}

#loading.hidden {
    display: none;
}

#loading svg {
    fill: currentColor;
}

.spinner {
    animation: spinner 2s cubic-bezier(0.36, .6, .31, 1) infinite
}

.spinner1 {
    animation-delay: -.5s
}

.spinner2 {
    animation-delay: -1s
}

.spinner3 {
    animation-delay: -1.5s
}

@keyframes spinner {
    0% {
        r: 0
    }

    25% {
        r: 3px;
        cx: 4px
    }

    50% {
        r: 3px;
        cx: 12px
    }

    75% {
        r: 3px;
        cx: 20px
    }

    100% {
        r: 0;
        cx: 20px
    }
}

@keyframes opac {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

@media only screen and (max-width: 750px) {
    .category .images-wrap {
        margin: 0 auto 2rem !important;
    }

    #main {
        padding: .5rem;
    }

    footer {
        padding-left: 1rem;
        padding-right: 1rem;
    }
}
